/*
 * Copyright 2014 frankmuenster.de
 * 
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 * http://ec.europa.eu/idabc/eupl
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 */

package de.frankmuenster.jameica.qrcodehandler;

/**
 * QR-Code Handler Exception
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class QrCodeHandlerException extends Exception {

	/**
	 * serialVersionUID for this class
	 */
	private static final long serialVersionUID = -950900386857918051L;

	/**
	 * 	Constructs a new QrCodeHandlerException
	 * @see java.lang.Exception#Exception()
	 */
	public QrCodeHandlerException() {
	}

	/**
	 * Constructs a new QrCodeHandlerException
	 * 
	 * @param message the detail message. The detail 
	 * 		message is saved for later retrieval by the 
	 * 		Throwable.getMessage() method.
	 * @see java.lang.Exception#Exception(String message)
	 */
	public QrCodeHandlerException(String message) {
		super(message);
	}

	/**
	 * Constructs a new QrCodeHandlerException
	 * 
	 * @param cause - the cause (which is saved for later 
	 *        retrieval by the Throwable.getCause() method). 
	 *        (A null value is permitted, and indicates that 
	 *        the cause is nonexistent or unknown.)
	 * @see java.lang.Exception#Exception(Throwable cause)
	 *
	 */
	public QrCodeHandlerException(Throwable cause) {
		super(cause);
	}

	/**
	 * Constructs a new QrCodeHandlerException
	 * 
	 * @param message
	 *            the detail message. The detail message is saved for later
	 *            retrieval by the Throwable.getMessage() method.
	 * @param cause
	 *            - the cause (which is saved for later retrieval by the
	 *            Throwable.getCause() method). (A null value is permitted, and
	 *            indicates that the cause is nonexistent or unknown.)
	 * @see java.lang.Exception#Exception(String message, Throwable cause)
	 */
	public QrCodeHandlerException(String message, Throwable cause) {
		super(message, cause);
	}

}
