/*
 * Copyright 2014 frankmuenster.de
 * 
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 * http://ec.europa.eu/idabc/eupl
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 */

package de.frankmuenster.jameica.qrscanner.gui.utils;

import org.eclipse.swt.widgets.Shell;

/**
 * Enthlt Methoden zur GUI-Verwaltung
 * 
 * @author munstfr
 * @version 1.2
 * 
 */
public class GUIUtil {

	/**
	 * Bringt die ganze Jameica-Anwendung (shell) in den Vordergrund
	 * 
	 * @param shell
	 *            - Shell die in den Vordergrund gebracht werden soll
	 */
	public static void bringToFront(Shell shell) {

		final Shell s = shell;
		shell.getDisplay().asyncExec(new Runnable() {
			public void run() {
				s.forceActive();
			}
		});
	}
	
}

/***********************************************************
 * History:
 * $Log GUIUtil.java,v$
 * $Date:: 2014-04-01 00:56:03 $ Date of last commit
 * 
 * @Revision 1.2 Date: 27.04.2014
 *           convertToAWT, convertToSWT und resize nach GraphicsUtils
 *           verschoben
 *              
 * @Revision 1.1 Date: 23.04.2014
 *           convertToAWT, convertToSWT und resize hinzugefgt  
 *   
 *********************************************************/
